petsc-3.4.2 2013-07-02

# MatGetRowUpperTriangular

Sets a flag to enable calls to MatGetRow() for matrix in MATSBAIJ format. You should call MatRestoreRowUpperTriangular() after calling MatGetRow/MatRestoreRow() to disable the flag.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetRowUpperTriangular(Mat mat)

Not Collective

### Input Parameters

| mat | - the matrix

### Notes

The flag is to ensure that users are aware of MatGetRow() only provides the upper trianglular part of the row for the matrices in MATSBAIJ format.

### See Also

MatRestoreRowRowUpperTriangular()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages